<!-- <template>
  <h-input v-model:value="value" placeholder="请选择项目号"></h-input>
</template>
<script lang="ts">
import { defineComponent, ref } from 'vue';
import { Input } from '@crami/ui';

export default defineComponent({
  name: 'ProjectListSelect',
  props: {
    defaultValue: {
      type: String,
      default: '',
    },
  },
  components: { HInput: Input },
  setup(props) {
    const value = ref(props.defaultValue);
    const getData = () => {
      return value.value;
    };
    return { value, getData };
  },
});
</script> -->
<template>
  <!-- <h-input v-model:value="value" placeholder="输入一个关联表的ID"></h-input> -->
  <h-select
    style="width: 200px"
    v-model:value="value"
    placeholder="请选择项目号"
    :options="options1"
  ></h-select>
</template>
<script lang="ts">
import { defineComponent, ref } from 'vue';
// import { Input } from '@crami/ui';
import { Select } from '@crami/ui';
export default defineComponent({
  name: 'Test',
  props: {
    defaultValue: {
      type: String,
      default: '',
    },
  },
  // components: { HInput: Input },
  components: { HSelect: Select },
  setup(props) {
    const options1 = ref([
      {
        value: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
        label: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
      },
      {
        value: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
        label: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
      },
      {
        value: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
        label: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
      },
      {
        value: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
        label: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
      },
      {
        value: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
        label: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
      },
      {
        value: 'P_SYS_USER_0162a3c2c85c45f2b4fa3baffc350d6d',
        label: '项目0000006',
      },
    ]);
    const value = ref(props.defaultValue || undefined);
    const getData = () => {
      return value.value;
    };
    return { value, getData, options1 };
  },
});
</script>
